#ifndef MESHFACESDOCK_H
#define MESHFACESDOCK_H

#include "facesDisplay.h"

#include <qtoolbar.h>
#include <qradiobutton.h>

class MeshFacesDock : public QToolBar
{
  Q_OBJECT
public:
  MeshFacesDock(QMainWindow *parent = 0);
  
  void real() const;
  void indexedFaceSet() const;
  void connComs() const;  

private slots:
  void realButton();
  void IFSButton();
  void connComsButton();  
  
private:  
  facesDisplayForm *_form;
};

#endif
