#ifndef MESHNORMALSINVERSIONDOCK_H
#define MESHNORMALSINVERSIONDOCK_H

#include "normalsInversion.h"

#include <qtoolbar.h>
#include <qpushbutton.h>

class MeshNormalsInversionDock : public QToolBar
{
  Q_OBJECT
public:
  MeshNormalsInversionDock(QMainWindow *parent = 0);

  void invert() const;
  void makeCoherent() const;
  void computeNormals() const;
  
private slots:
  void invertButton();
  void makeCoherentButton();
  void computeNormalsButton();  
  
private:  
  NormalsInversionForm *_form;
};

#endif
