#include "MeshStatisticsDock.h"
#include <X3DTK/kernel.h>
#include <qmainwindow.h>

MeshStatisticsDock::MeshStatisticsDock(QMainWindow *parent)
: QToolBar(parent)
{
  parent->moveDockWindow(this, DockRight);
  
  _form = new StatisticsForm(this);
  setCaption(tr("Statistics"));
}

void MeshStatisticsDock::setFaces(unsigned int faces)
{
  _form->textFaces->setText(QString::number(faces));
}

void MeshStatisticsDock::setVertices(unsigned int vertices)
{
  _form->textVertices->setText(QString::number(vertices));
}

void MeshStatisticsDock::setEdges(unsigned int edges)
{
  _form->textEdges->setText(QString::number(edges));
}
  
