#include "PreprocessingDialog.h"

PreprocessingDialog::PreprocessingDialog()
: QDialog(0, 0, true, 0)
{
  _form = new PreprocessingForm(this);
  setCaption("Preprocess");
  
  connect(_form->pushButton, SIGNAL(clicked()), this, SLOT(computeButton()));
}

void PreprocessingDialog::computeButton()
{
  RC::Signal::send(this, &PreprocessingDialog::compute);
}

void PreprocessingDialog::compute() const
{
}

bool PreprocessingDialog::sharedCoord() const
{
  return _form->CoordCheckBox->isOn();
}

bool PreprocessingDialog::mergedCoord() const
{
  return _form->CoordMergerCheckBox->isOn();
}
  
