#ifndef PREPROCESSINGDIALOG_H
#define PREPROCESSINGDIALOG_H

#include "preprocessingForm.h"

#include <qdialog.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <X3DTK/kernel.h>

class PreprocessingDialog : public QDialog
{
  Q_OBJECT
public:
  PreprocessingDialog();

  void compute() const;

  bool sharedCoord() const;
  bool mergedCoord() const;
  
private slots:
  void computeButton();

private:
  PreprocessingForm *_form;
};

#endif
