#include "ProgressDock.h"
#include <X3DTK/kernel.h>
#include <qmainwindow.h>

#include <iostream>

using namespace std;

ProgressDock::ProgressDock(QMainWindow *parent, const char *caption)
: QToolBar(parent)
{
  parent->moveDockWindow(this, DockTornOff);
  setCaption(tr(caption));
  
  form = new ProgressForm(this);
}

void ProgressDock::setTotalSteps(int totalSteps)
{
  cout << "setting totalSteps " << totalSteps << endl;
  form->progressBar->setTotalSteps(totalSteps);
}

void ProgressDock::setProgress(int progress)
{
  cout << "setting progress " << progress << endl;
  form->progressBar->setProgress(progress);
}
