#ifndef PROGRESSDOCK_H
#define PROGRESSDOCK_H

#include "progress.h"

#include <qtoolbar.h>
#include <qprogressbar.h>

class ProgressDock : public QToolBar
{
  Q_OBJECT
public:
  ProgressDock(QMainWindow *parent = 0, const char *caption = 0);
  
  /// Sets the number of total steps.
  void setTotalSteps(int totalSteps);
  /// Sets the progress.
  void setProgress(int progress);

  ProgressForm *form;
};

#endif
