#include "Viewer.h"
#include <qapplication.h>
#include <iostream>

using namespace std;

int main(int argc, char* argv[])
{
  // Read command lines arguments.
  QApplication application(argc, argv);

  char *fileName = 0;
  
  if (argc > 1)
    fileName = argv[1];

  // Instantiate the viewer.
  Viewer v(fileName);

  // Make the viewer window visible on screen.
  v.show();

  // Set the viewer as the application main widget.
  application.setMainWidget(&v);
  
  // Run main loop.
  return application.exec();
}
